/*************************************************************************
**                                                                      **
**                         PROPRIETARY NOTICE                           **
**                                                                      **
**  Copyright (C) 2010 - 2012 Dialogic Inc. All Rights Reserved.        **
**                                                                      **
**  The following is licensed program material and is considered        **
**  proprietary and confidential.  No part of this program may be       **
**  reproduced or used in any form or by any means without the express  **
**  written permission of Dialogic Corporation.                         **
**                                                                      **
*************************************************************************/
#ifndef _SIGTRAN_H_
#define _SIGTRAN_H_

/* Stack manager post structure */
typedef struct pst              /* parameters for SPstTsk */
{
    U16 dstProcId;              /* destination processor id (U16) */
    U16 srcProcId;              /* source processor id      (U16) */

    U8 dstEnt;                  /* destination entity       (U8)  */
    U8 dstInst;                 /* destination instance     (U8)  */
    U8 srcEnt;                  /* source entity            (U8)  */
    U8 srcInst;                 /* source instance          (U8)  */

    U8 prior;                   /* priority                 (U8)  */
    U8 route;                   /* route                    (U8)  */
    U8 event;                   /* event                    (U8)  */
    U8 region;                  /* region                   (U8)  */

    U8 pool;                    /* pool                     (U8)  */
    U8 selector;                /* selector                 (U8)  */
    U16 intfVer;                /* interface version        (U16) */
} Pst;

#endif                          /* _SIGTRAN_H_ */

