/*************************************************************************
**                                                                      **
**                         PROPRIETARY NOTICE                           **
**                                                                      **
**  Copyright (C) 1997 - 2012 Dialogic Inc. All Rights Reserved.
**                                                                      **
**                                                                      **
**  The following is licensed program material and is considered        **
**  proprietary and confidential.  No part of this program may be       **
**  reproduced or used in any form or by any means without the express  **
**  written permission of Dialogic Corporation.                         **
**                                                                      **
*************************************************************************/
#ifndef _MTP2ITU_H_
#define _MTP2ITU_H_

/* mtp2.h   THIS IS THE ITU VERSION OF THIS FILE!!!!!*/

#define     SIO_MGMT_MSG    0x80
#define     SIO_TEST_MSG    0x81

typedef struct
    {
    U8      sio;
    U8      label[4];                   /* U32 label represented as array of 4 U8s (due to natural alignment restrictions) */
    U8      sltype;
    U8      length;                     /* top 4 bits used */
    U8      pattern[15];
    } pktSLT;

typedef struct
    {
    U8      sio;
    U8      label[4];                   /* U32 label represented as array of 4 U8s (due to natural alignment restrictions) */
    U8      sltype;
    U8      fsn;
    } pktCOO;

#endif  /* _MTP2ITU_H_ */

