#ifndef _TCAP800_H_
#define _TCAP800_H_

#define TCAP_BACKUP     0x30
#define TCAP_PRIMARY    0x31
#define TCAP_STANDALONE 0x32

typedef struct checkPointMsg
{
    U32     msgId;
    U32     position;
    U32     transId;
    U8      invokeId;
    U8      readFlag;

} ChkPntMsg;

typedef struct trans
{
    U32     position;
    U32     transId;
    U8      invokeId;
    U8      readFlag;

} Trans;

#define CHKPNT_MSG  0x434b5054
#define CHKPNT_EVT  CTA_USER_EVENT(0x00)

void  UDPThread      (void*);
void  CheckPoint     (Trans*);

#endif /* _TCAP800_H_ */

